# Makefile settings shared between Makefiles.

CC = arm-openwrt-linux-muslgnueabi-gcc
CXX = arm-openwrt-linux-muslgnueabi-g++
CFLAGS = -Os -pipe -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=soft -iremap/home/jack/openwrt-19.07/build_dir/target-arm_cortex-a9_musl_eabi/nettle-3.5.1:nettle-3.5.1 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -fpic  -ggdb3 -Wall -W   -Wmissing-prototypes -Wmissing-declarations -Wstrict-prototypes   -Wpointer-arith -Wbad-function-cast -Wnested-externs
CXXFLAGS = -Os -pipe -fno-caller-saves -fno-plt -fhonour-copts -Wno-error=unused-but-set-variable -Wno-error=unused-result -mfloat-abi=soft -iremap/home/jack/openwrt-19.07/build_dir/target-arm_cortex-a9_musl_eabi/nettle-3.5.1:nettle-3.5.1 -Wformat -Werror=format-security -fstack-protector -D_FORTIFY_SOURCE=1 -Wl,-z,now -Wl,-z,relro -fpic 
CCPIC = -fpic
CPPFLAGS = -I/home/jack/openwrt-19.07/staging_dir/target-arm_cortex-a9_musl_eabi/usr/include -I/home/jack/openwrt-19.07/staging_dir/target-arm_cortex-a9_musl_eabi/include -I/home/jack/openwrt-19.07/staging_dir/toolchain-arm_cortex-a9_gcc-7.5.0_musl_eabi/usr/include -I/home/jack/openwrt-19.07/staging_dir/toolchain-arm_cortex-a9_gcc-7.5.0_musl_eabi/include/fortify -I/home/jack/openwrt-19.07/staging_dir/toolchain-arm_cortex-a9_gcc-7.5.0_musl_eabi/include 
DEFS = -DHAVE_CONFIG_H
LDFLAGS = -L/home/jack/openwrt-19.07/staging_dir/target-arm_cortex-a9_musl_eabi/usr/lib -L/home/jack/openwrt-19.07/staging_dir/target-arm_cortex-a9_musl_eabi/lib -L/home/jack/openwrt-19.07/staging_dir/toolchain-arm_cortex-a9_gcc-7.5.0_musl_eabi/usr/lib -L/home/jack/openwrt-19.07/staging_dir/toolchain-arm_cortex-a9_gcc-7.5.0_musl_eabi/lib -znow -zrelro 
LIBS = -lgmp 
LIBOBJS = 
EMULATOR = 
NM = arm-openwrt-linux-muslgnueabi-gcc-nm

OBJEXT = o
EXEEXT = 

CC_FOR_BUILD = gcc -O -g
EXEEXT_FOR_BUILD = 

DEP_FLAGS = -MT $@ -MD -MP -MF $@.d
DEP_PROCESS = true

PACKAGE_BUGREPORT = nettle-bugs@lists.lysator.liu.se
PACKAGE_NAME = nettle
PACKAGE_STRING = nettle 3.5.1
PACKAGE_TARNAME = nettle
PACKAGE_VERSION = 3.5.1

LIBNETTLE_MAJOR = 7
LIBNETTLE_MINOR = 0
LIBNETTLE_SONAME = $(LIBNETTLE_FORLINK).$(LIBNETTLE_MAJOR)
LIBNETTLE_FILE = $(LIBNETTLE_SONAME).$(LIBNETTLE_MINOR)
LIBNETTLE_FILE_SRC = $(LIBNETTLE_FORLINK)
LIBNETTLE_FORLINK = libnettle.so
LIBNETTLE_LIBS = 
LIBNETTLE_LINK = $(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname=$(LIBNETTLE_SONAME)

LIBHOGWEED_MAJOR = 5
LIBHOGWEED_MINOR = 0
LIBHOGWEED_SONAME = $(LIBHOGWEED_FORLINK).$(LIBHOGWEED_MAJOR)
LIBHOGWEED_FILE = $(LIBHOGWEED_SONAME).$(LIBHOGWEED_MINOR)
LIBHOGWEED_FILE_SRC = $(LIBHOGWEED_FORLINK)
LIBHOGWEED_FORLINK = libhogweed.so
LIBHOGWEED_LIBS = libnettle.so $(LIBS)
LIBHOGWEED_LINK = $(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname=$(LIBHOGWEED_SONAME)

NUMB_BITS = 32

AR = arm-openwrt-linux-muslgnueabi-gcc-ar
ARFLAGS = cru
AUTOCONF = autoconf
AUTOHEADER = autoheader
M4 = /home/jack/openwrt-19.07/staging_dir/host/bin/m4
MAKEINFO = makeinfo
RANLIB = arm-openwrt-linux-muslgnueabi-gcc-ranlib
LN_S = ln -s

prefix	=	/usr
exec_prefix =	/usr
datarootdir =	${prefix}/share
bindir =	/usr/bin
libdir =	${exec_prefix}/lib
includedir =	${prefix}/include
infodir =	/usr/info

# PRE_CPPFLAGS and PRE_LDFLAGS lets each Makefile.in prepend its own
# flags before CPPFLAGS and LDFLAGS. While EXTRA_CFLAGS are added at the end.

COMPILE = $(CC) $(PRE_CPPFLAGS) $(CPPFLAGS) $(DEFS) $(CFLAGS) $(EXTRA_CFLAGS) $(DEP_FLAGS)
COMPILE_CXX = $(CXX) $(PRE_CPPFLAGS) $(CPPFLAGS) $(DEFS) $(CXXFLAGS) $(DEP_FLAGS)
LINK = $(CC) $(CFLAGS) $(PRE_LDFLAGS) $(LDFLAGS)
LINK_CXX = $(CXX) $(CXXFLAGS) $(PRE_LDFLAGS) $(LDFLAGS)

# Default rule. Must be here, since config.make is included before the
# usual targets.
default: all

# For some reason the suffixes list must be set before the rules.
# Otherwise BSD make won't build binaries e.g. aesdata. On the other
# hand, AIX make has the opposite idiosyncrasies to BSD, and the AIX
# compile was broken when .SUFFIXES was moved here from Makefile.in.

.SUFFIXES:
.SUFFIXES: .asm .c .$(OBJEXT) .html .dvi .info .exe .pdf .ps .texinfo

# Disable builtin rule
%$(EXEEXT) : %.c
.c:

# Keep object files
.PRECIOUS: %.o

.PHONY: all check install uninstall clean distclean mostlyclean maintainer-clean distdir \
	all-here check-here install-here clean-here distclean-here mostlyclean-here \
	maintainer-clean-here distdir-here \
	install-shared install-info install-headers \
	uninstall-shared uninstall-info uninstall-headers \
	dist distcleancheck
